#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OmniAppKit

PROJECTVERSION = 2.8
PROJECT_TYPE = Framework
English_RESOURCES = OAFindPanel.nib

LANGUAGES = English

GLOBAL_RESOURCES = namedColors.plist

CLASSES = OAAppkitQueueProcessor.m OAApplication.m OADragController.m\
          OAFindController.m OAFontCache.m OAPasteboardHelper.m

HFILES = FrameworkDefines.h OAAppkitQueueProcessor.h OAApplication.h\
         OADragController.h OAFindController.h\
         OAFindControllerTargetProtocol.h OAFontCache.h\
         OAPasteboardHelper.h OAWrapUsage.h OmniAppKit.h ps.h

PSWFILES = OAWraps.psw

SUBPROJECTS = Inspector.subproj OpenStepExtensions.subproj\
              Outline.subproj Preferences.subproj Widgets.subproj

OTHERSRCS = CustomInfo.plist h.template m.template Makefile\
            Makefile.postamble Makefile.preamble OmniSourceLicense.html


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = 1999B
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = framework.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
WINDOWS_INSTALLDIR = $(OMNI_FRAMEWORKS)
PDO_UNIX_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORK_PATHS = -F$(OMNI_FRAMEWORKS)
NEXTSTEP_PB_CFLAGS = -Wall -O2
WINDOWS_PB_CFLAGS = -Wall -O2 -D _NSBUILDING_$(NAME)_DLL
PDO_UNIX_PB_CFLAGS = -Wall -O2
FRAMEWORKS = -framework AppKit -framework Foundation -framework OmniBase\
             -framework OmniFoundation
PUBLIC_HEADERS = OAAppkitQueueProcessor.h OAApplication.h\
                 OADragController.h OAFindController.h\
                 OAFindControllerTargetProtocol.h OAFontCache.h\
                 OAPasteboardHelper.h OAWrapUsage.h OmniAppKit.h ps.h\
                 FrameworkDefines.h

PROJECT_HEADERS = FrameworkDefines.h

PRECOMPILED_HEADERS = OmniAppKit.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

WINDOWS_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

PDO_UNIX_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
